#!/bin/sh

echo "**** Download and prepare ghost ****"
cd /tmp
curl -L https://ghost.org/zip/ghost-latest.zip -o ghost-latest.zip
#curl -L https://github.com/TryGhost/Ghost/releases/download/1.22.8/Ghost-1.22.8.zip -o ghost-latest.zip
unzip ghost-latest.zip -d ghost && cd ghost

cp -R /var/www/www.dryusdan.fr/content /var/www/
cp /var/www/www.dryusdan.fr/config.production.json /var/www

echo "**** Shutdown ghost ****"
systemctl stop www-dryusdan-fr
systemctl stop blog-tomcelestin-me.service

echo "**** MIGRATION !!!!! ****"
rm -rf /var/www/www.dryusdan.fr
cp -R /tmp/ghost/ /var/www/www.dryusdan.fr
cd /var/www/www.dryusdan.fr
rm -rf /var/www/www.dryusdan.fr/content 
cp -R /var/www/content /var/www/www.dryusdan.fr
cp /var/www/config.production.json /var/www/www.dryusdan.fr/
chown -R ghost:ghost /var/www/www.dryusdan.fr/
sudo -u ghost NODE_ENV=production npm i
sudo -u ghost NODE_ENV=production yarn install
sudo -u ghost NODE_ENV=production knex-migrator init
sudo -u ghost NODE_ENV=production knex-migrator migrate

rm -rf /var/www/content
rm -rf /var/www/config.production.json 

cp -R /var/www/blog.tomcelestin.me/content /var/www/
cp /var/www/blog.tomcelestin.me/config.production.json /var/www


rm -rf /var/www/blog.tomcelestin.me
cp -R /tmp/ghost/ /var/www/blog.tomcelestin.me
cd /var/www/blog.tomcelestin.me
rm -rf /var/www/blog.tomcelestin.me/content 
cp -R /var/www/content /var/www/blog.tomcelestin.me
cp /var/www/config.production.json /var/www/blog.tomcelestin.me/
chown -R ghost:ghost /var/www/blog.tomcelestin.me/
sudo -u ghost NODE_ENV=production npm i
sudo -u ghost NODE_ENV=production yarn install
sudo -u ghost NODE_ENV=production knex-migrator init
sudo -u ghost NODE_ENV=production knex-migrator migrate

rm -rf /var/www/content
rm -rf /var/www/config.production.json 

echo "**** Starting ghost ****"
systemctl start www-dryusdan-fr
systemctl start blog-tomcelestin-me
echo "**** Ghost started****"

echo "**** Cleaning ****"
rm -rf /tmp/ghost* /var/www/content /var/www/config.production.json

echo "**** Migration done ****"
